a {
    text-decoration: none;
}

button,
input[type='checkbox'] {
    cursor: pointer;
}

input[type='checkbox'] {
    display: none;
}

input[type='password'] {
    font-family: 'fontello';
    font-style: normal;
    font-weight: 400;
    /* speak: none; */
    font-variant: normal;
    text-transform: none;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    /* text-shadow: 1px 1px 1px rgb(127 127 127 / 30%); - 3d effect*/
    letter-spacing: 2px;
}

.wrapper {
    background-color: black;
    background: var(--bg-url) center center / cover no-repeat;
    min-height: 100vh;
    width: 100vw;
    display: flex;
    flex-direction: column;
}

.header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 58px;
    padding: 0 79px;
    background: rgba(0, 0, 0, 0.4);
}

.logo {
    font-weight: 700;
    font-size: 22px;
}

.link {
    color: var(--logo-c);
    transition: color 0.5s;
}

.link:hover {
    color: var(--aside-c-hover);
}

.underline:hover {
    text-decoration: underline;
}

.link svg {
    fill: currentColor;
}

.header-inner-wrapper {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    gap: 27px;
}

.header-autoriz {
    position: relative;
    font-weight: 400;
    font-size: 14px;
    color: var(--main-color);
    margin-left: 27px;
}

.header-autoriz::before {
    content: '';
    position: absolute;
    width: 1px;
    height: 19px;
    background: rgba(255, 255, 255, 0.9);
    opacity: 0.5;
    left: -27px;
}

.form {
    display: flex;
    flex: 1;
    justify-content: center;
    align-items: center;
}

.wrapper-form {
    position: relative;
    padding: 31px 60px 38px 60px;
    background: var(--main-color);
    box-shadow: 0px 4px 18px rgba(0, 0, 0, 0.52);
}

.wrapper-form::before {
    content: '';
    position: absolute;
    width: 18px;
    height: 18px;
    left: 0px;
    top: 29px;
    background: var(--aside-c);
}

.wrapper-form-inner {
    display: flex;
    justify-content: space-between;
}

.form-title {
    font-weight: 400;
    font-size: 20px;
    line-height: 20px;
    color: var(--grey);
}

.form-reg {
    font-weight: 400;
    font-size: 14px;
    line-height: 14px;
    color: var(--aside-c);
}

.wrapper-form-button {
    display: flex;
    justify-content: space-between;
    margin-top: 15px;
}

.button {
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: relative;
    padding: 12px 0 12px 12px;
    min-width: 157px;
}

.blue {
    background-color: var(--blue-btn);
    transition: background-color 0.6s;
}

.blue:hover {
    background-color: #022263;
}

.red {
    background-color: var(--red-btn);
    transition: background-color 0.6s;
}

.red:hover {
    background: #ab1f09;
}

.button::after {
    content: '';
    position: absolute;
    width: 1px;
    height: 28px;
    left: 48px;
    top: 10px;
    background: #0a162f;
    mix-blend-mode: normal;
    opacity: 0.1;
}

.button-text {
    font-weight: 400;
    font-size: 16px;
    color: var(--main-color);
    text-align: center;
    flex-basis: 109px;
}

.fa-brands {
    color: var(--main-color);
    font-size: 24px;
}

.or {
    margin-top: 31px;
    position: relative;
    text-align: center;
    font-weight: 400;
    font-size: 14px;
    line-height: 14px;
    color: #848484;
}

.or::before,
.or::after {
    content: '';
    position: absolute;
    width: 150px;
    height: 1px;
    background: var(--second-color);
}

.or::before {
    left: 0;
    top: 8px;
}

.or::after {
    top: 8px;
    right: 0;
}

.sign-up-form {
    margin-top: 12px;
    display: flex;
    flex-direction: column;
}

.sign-up-input {
    width: 322px;
    height: 44px;
    padding: 15px 20px 15px 10px;
    border: 1px solid var(--second-color);
    border-radius: 4px;
    margin-bottom: 15px;
    font-weight: 400;
    font-size: 14px;
    line-height: 14px;
    color: var(--input-с);
}

.sign-up-input:focus,
.sign-up-input:focus-visible {
    box-shadow: 0px 3px 8px rgba(0, 0, 0, 0.21);
    outline: none;
    color: var(--input-с-focus);
}

.sign-up-input:nth-child(5) {
    margin-bottom: 12px;
}

.btn-submit {
    margin-top: 20px;
    padding: 15px 0;
    border: none;
    background-color: var(--aside-c);
    font-weight: 400;
    font-size: 16px;
    line-height: 16px;
    color: var(--main-color);
    transition: background-color 1s;
}

.btn-submit:hover {
    background-color: var(--aside-c-hover);
}

.conf-policy {
    display: flex;
    align-items: center;
    gap: 8px;
}

.reg-checkbox {
    position: relative;
    border: 1px solid var(--second-color);
    width: 20px;
    height: 20px;
}

.reg-checkbox-hidden:checked ~ .reg-checkbox:before {
    content: '';
    position: absolute;
    left: 2px;
    bottom: 6px;
    width: 9px;
    height: 2px;
    background-color: var(--aside-c);
    transform: rotate(63deg);
}

.reg-checkbox-hidden:checked ~ .reg-checkbox:hover:before,
.reg-checkbox-hidden:checked ~ .reg-checkbox:hover:after {
    background-color: var(--aside-c-hover);
}

.reg-checkbox-hidden:checked ~ .reg-checkbox:after {
    content: '';
    position: absolute;
    top: 7px;
    right: -1px;
    width: 15px;
    height: 2px;
    background-color: var(--aside-c);
    transform: rotate(-63deg);
}

.status {
    display: none;
    margin-top: 20px;
    font-size: 20px;
    color: #0a162f;
}

.color-change-theme {
    color: var(--aside-c);
}

/*  */

.c-grey {
    color: var(--grey);
}

.active {
    display: block;
}
